---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
  namespace: system
spec:
  replicas: 1
  selector:
    matchLabels:
      app: llng
      component: main
  template:
    metadata:
      labels:
        app: llng
        component: main
    spec:
      containers:
        - name: llng-portal
          image: lemonldap-ng-kubernetes:latest
          ports:
            - name: "portal"
              containerPort: 80
            - name: "handler"
              containerPort: 8080
            - name: "manager"
              containerPort: 8888
            - name: "api"
              containerPort: 9999
          volumeMounts:
            - mountPath: "/var/lib/lemonldap-ng/conf"
              name: config
            - mountPath: /etc/lemonldap-ng
              name: ini-config
      volumes:
        - name: config
          persistentVolumeClaim:
            claimName: llng-config
        - name: ini-config
          configMap:
            name: llng-ini-config
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: config
  namespace: auth
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 2G
